Bug 1575311 - [abrt] accountsservice: g_variant_is_trusted(): accounts-daemon killed by SIGSEGV
Summary: [abrt] accountsservice: g_variant_is_trusted(): accounts-daemon killed by SIG...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: accountsservice
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:52a84e624bf68a31b744876a90d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-05 22:03 UTC by Mikhail
Modified: 2019-11-27 18:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 18:59:14 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (18.28 KB, text/plain)
2018-05-05 22:03 UTC, Mikhail
no flags Details
File: cgroup (333 bytes, text/plain)
2018-05-05 22:03 UTC, Mikhail
no flags Details
File: core_backtrace (9.92 KB, text/plain)
2018-05-05 22:03 UTC, Mikhail
no flags Details
File: cpuinfo (1.24 KB, text/plain)
2018-05-05 22:03 UTC, Mikhail
no flags Details
File: dso_list (2.61 KB, text/plain)
2018-05-05 22:03 UTC, Mikhail
no flags Details
File: environ (216 bytes, text/plain)
2018-05-05 22:03 UTC, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-05 22:03 UTC, Mikhail
no flags Details
File: maps (12.98 KB, text/plain)
2018-05-05 22:03 UTC, Mikhail
no flags Details
File: mountinfo (4.09 KB, text/plain)
2018-05-05 22:03 UTC, Mikhail
no flags Details
File: open_fds (915 bytes, text/plain)
2018-05-05 22:03 UTC, Mikhail
no flags Details
File: proc_pid_status (1.20 KB, text/plain)
2018-05-05 22:03 UTC, Mikhail
no flags Details
File: var_log_messages (281 bytes, text/plain)
2018-05-05 22:03 UTC, Mikhail
no flags Details

Description Mikhail 2018-05-05 22:03:19 UTC
Version-Release number of selected component:
accountsservice-0.6.47-1.fc29

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/accounts-daemon
crash_function: g_variant_is_trusted
executable:     /usr/libexec/accounts-daemon
journald_cursor: s=02f5a8a77a6d4ae096053f3072d1ec8b;i=5f95;b=718d09c616384187ad35aab3b017c9e2;m=3079ebaf;t=56b7c56ae083f;x=8b98a1fea32b9c7e
kernel:         4.17.0-0.rc3.git4.1.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_variant_is_trusted at gvariant-core.c:607
 #1 g_variant_builder_add_value at gvariant.c:3490
 #2 g_variant_valist_new at gvariant.c:5196
 #3 g_variant_new_va at gvariant.c:5372
 #4 g_variant_new at gvariant.c:5307
 #5 _accounts_accounts_on_signal_user_deleted at accounts-generated.c:2828
 #6 ffi_call_unix64 at ../src/x86/unix64.S:76
 #7 ffi_call at ../src/x86/ffi64.c:525
 #8 g_cclosure_marshal_generic at gclosure.c:1490
 #12 g_signal_emit_by_name at gsignal.c:3487

Potential duplicate: bug 1575253

Comment 1 Mikhail 2018-05-05 22:03:25 UTC
Created attachment 1432121 [details]
File: backtrace

Comment 2 Mikhail 2018-05-05 22:03:27 UTC
Created attachment 1432122 [details]
File: cgroup

Comment 3 Mikhail 2018-05-05 22:03:28 UTC
Created attachment 1432124 [details]
File: core_backtrace

Comment 4 Mikhail 2018-05-05 22:03:30 UTC
Created attachment 1432126 [details]
File: cpuinfo

Comment 5 Mikhail 2018-05-05 22:03:32 UTC
Created attachment 1432128 [details]
File: dso_list

Comment 6 Mikhail 2018-05-05 22:03:33 UTC
Created attachment 1432130 [details]
File: environ

Comment 7 Mikhail 2018-05-05 22:03:34 UTC
Created attachment 1432131 [details]
File: limits

Comment 8 Mikhail 2018-05-05 22:03:36 UTC
Created attachment 1432132 [details]
File: maps

Comment 9 Mikhail 2018-05-05 22:03:37 UTC
Created attachment 1432133 [details]
File: mountinfo

Comment 10 Mikhail 2018-05-05 22:03:39 UTC
Created attachment 1432134 [details]
File: open_fds

Comment 11 Mikhail 2018-05-05 22:03:40 UTC
Created attachment 1432135 [details]
File: proc_pid_status

Comment 12 Mikhail 2018-05-05 22:03:41 UTC
Created attachment 1432136 [details]
File: var_log_messages

Comment 13 Jan Kurik 2018-08-14 10:04:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 14 Ben Cotton 2019-10-31 20:54:30 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-11-27 18:59:14 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.